Bug 22054 - Display a nicer error message when trying to renew an on-site checkout from renew page
Summary: Display a nicer error message when trying to renew an on-site checkout from r...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: helene
QA Contact: Tomás Cohen Arazi
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-01-01 22:30 UTC by Katrin Fischer
Modified: 2019-02-25 07:04 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22054: Updated the error message for attempting to renew an onsite checkout (1.44 KB, patch)
2019-01-15 04:01 UTC, helene
Details | Diff | Splinter Review
Bug 22054: Updated the error message for attempting to renew an onsite checkout (1.49 KB, patch)
2019-01-15 12:07 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22054: Updated the error message for attempting to renew an onsite checkout (1.54 KB, patch)
2019-01-15 18:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-01 22:30:13 UTC
To test:

1) Enable OnSiteCheckouts system preference
2) Checkout an item checking the onsite checkout checkbos in more options
3) Go to circulation > pending on-site checkouts
4) Verify the checkout shows
5) Go to circulation > renew
6) Try to renew the on-site checkout using the barcode
7) Verify display:

onsite_checkout  Continue without renewing

onsite_checkout reads like a code and should be replaced with a proper message.
Comment 1 helene 2019-01-15 04:01:16 UTC
Created attachment 83933 [details] [review]
Bug 22054: Updated the error message for attempting to renew an onsite checkout

To test:

1) Enable OnSiteCheckouts system preference
2) Checkout an item checking the onsite checkout checkbos in more
options
3) Go to circulation > pending on-site checkouts
4) Verify the checkout shows
5) Go to circulation > renew
6) Try to renew the on-site checkout using the barcode
7) Verify display:

onsite_checkout  Continue without renewing

8) apply the patch and reload page with error message
9) verify display:

Item cannot be renewed because it's an onsite checkout
Comment 2 Katrin Fischer 2019-01-15 06:35:20 UTC
Switching to "Needs Signoff".
Comment 3 ByWater Sandboxes 2019-01-15 12:07:05 UTC
Created attachment 83960 [details] [review]
Bug 22054: Updated the error message for attempting to renew an onsite checkout

To test:

1) Enable OnSiteCheckouts system preference
2) Checkout an item checking the onsite checkout checkbos in more
options
3) Go to circulation > pending on-site checkouts
4) Verify the checkout shows
5) Go to circulation > renew
6) Try to renew the on-site checkout using the barcode
7) Verify display:

onsite_checkout  Continue without renewing

8) apply the patch and reload page with error message
9) verify display:

Item cannot be renewed because it's an onsite checkout

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Tomás Cohen Arazi 2019-01-15 18:19:20 UTC
Created attachment 83999 [details] [review]
Bug 22054: Updated the error message for attempting to renew an onsite checkout

To test:

1) Enable OnSiteCheckouts system preference
2) Checkout an item checking the onsite checkout checkbos in more
options
3) Go to circulation > pending on-site checkouts
4) Verify the checkout shows
5) Go to circulation > renew
6) Try to renew the on-site checkout using the barcode
7) Verify display:

onsite_checkout  Continue without renewing

8) apply the patch and reload page with error message
9) verify display:

Item cannot be renewed because it's an onsite checkout

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Tomás Cohen Arazi 2019-01-15 18:19:41 UTC
Good catch!
Comment 6 Nick Clemens 2019-01-17 02:27:17 UTC
Awesome work Helene! Congratulations on your first patch!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-01-23 12:22:24 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Jesse Maseto 2019-01-23 19:25:02 UTC
Pushed to 18.05.x for 18.05.09
Comment 9 Fridolin SOMERS 2019-01-30 08:19:16 UTC
Pushed to 17.11.x for 17.11.15